## org.exist.ant
Class XMLDBExtractTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.exist.ant.AbstractXMLDBTask
                  org.exist.ant.XMLDBExtractTask

public class XMLDBExtractTask
extends AbstractXMLDBTask

an ant task to extract the content of a collection or resource

Author:
  peter.klotz@blue-elephant-systems.com

Constructor Summary
`XMLDBExtractTask()`

Method Summary
`void` `execute()`
`void` `setCreatedirectories(boolean createdirectories)`
`void` `setDestDir(java.io.File destDir)`
`void` `setDestFile(java.io.File destFile)`
`void` `setResource(java.lang.String resource)`
`void` `setSubcollections(boolean subcollections)`
`void` `setType(java.lang.String type)`

Methods inherited from class org.exist.ant.AbstractXMLDBTask
`setDriver, setFailonerror, setInitdb, setPassword, setUri, setUser`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, init, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLDBExtractTask

    public XMLDBExtractTask()

Method Detail

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`

### setResource

    public void setResource(java.lang.String resource)

  Parameters:
    `resource` -

### setDestFile

    public void setDestFile(java.io.File destFile)

### setDestDir

    public void setDestDir(java.io.File destDir)

### setType

    public void setType(java.lang.String type)

### setCreatedirectories

    public void setCreatedirectories(boolean createdirectories)

### setSubcollections

    public void setSubcollections(boolean subcollections)

Copyright (C) Wolfgang Meier. All rights reserved.